Name:		perl-IO-stringy
Summary:	perl IO-stringy module
Version:	2.108
Release:	1
License:	Artistic
Group:		Perl/Module
Source0:	http://cpan.org/modules/by-module/IO/IO-stringy-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-root
Vendor:		CPAN
Requires:	perl >= 5.6.0
BuildRequires:	perl >= 5.6.0

%description
perl IO-stringy module

%prep
%setup -n IO-stringy-%{version}

%build
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# need this line to build with RPM 4.1
find $RPM_BUILD_ROOT -name .packlist -exec rm {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | perl -p -e "s@^$RPM_BUILD_ROOT(.*)@\$1*@g" | grep -v perllocal.pod | grep -v packlist > %{name}-filelist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-filelist
%defattr(-,root,root)
%doc COPYING README* docs/ examples/ contrib/

%changelog
* Tue Oct  8 2002 Ian Macdonald <ian@caliban.org> 2.108-1
- first RPM
